Bug 457527 - GUI is not able to parse/display the output of some init scripts
GUI is not able to parse/display the output of some init scripts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-01 07:12 EDT by Milos Malik
Modified: 2009-01-09 01:42 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:42:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/init.d/dund returned exit code 6 (8.78 KB, image/png)
2008-08-01 07:21 EDT, Milos Malik
no flags Details
/etc/init.d/pand returned exit code 6 (8.88 KB, image/png)
2008-08-01 07:22 EDT, Milos Malik
no flags Details
/etc/init.d/rdisc returned exit code 1 (14.48 KB, image/png)
2008-08-01 07:24 EDT, Milos Malik
no flags Details
/etc/init.d/vncserver returned exit code 6 (17.77 KB, image/png)
2008-08-01 07:25 EDT, Milos Malik
no flags Details
/etc/init.d/ypbind returned exit code 1 (14.80 KB, image/png)
2008-08-01 07:26 EDT, Milos Malik
no flags Details
/etc/init.d/psacct returned exit code 3 (16.45 KB, image/png)
2008-08-01 07:27 EDT, Milos Malik
no flags Details

  None (edit)
Description Milos Malik 2008-08-01 07:12:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.16) Gecko/20080715 Fedora/2.0.0.16-1.fc8 Firefox/2.0.0.16

Description of problem:
The graphical tool is able to run init script, remove the colorful text "[ OK ]" from its output and display a message window which announces a success. But if the init script fails, the graphical tool displays a message window which contains whole output of the init script, including escape sequences for colorful text.

Is it possible to remove the escape sequences from the text in the message window? It is possible to announce the failure in the message window in more elegant way?

Version-Release number of selected component (if applicable):
system-config-services-0.9.17-1.fc8

How reproducible:
Always


Steps to Reproduce:
1. run system-config-services as root
2. try to start a service which is likely to fail during the start up


Actual Results:


Expected Results:


Additional info:
Some screenshots will follow.
Comment 1 Milos Malik 2008-08-01 07:21:15 EDT
Created attachment 313185 [details]
/etc/init.d/dund returned exit code 6
Comment 2 Milos Malik 2008-08-01 07:22:20 EDT
Created attachment 313186 [details]
/etc/init.d/pand returned exit code 6
Comment 3 Milos Malik 2008-08-01 07:24:10 EDT
Created attachment 313188 [details]
/etc/init.d/rdisc returned exit code 1
Comment 4 Milos Malik 2008-08-01 07:25:08 EDT
Created attachment 313189 [details]
/etc/init.d/vncserver returned exit code 6
Comment 5 Milos Malik 2008-08-01 07:26:23 EDT
Created attachment 313190 [details]
/etc/init.d/ypbind returned exit code 1
Comment 6 Milos Malik 2008-08-01 07:27:56 EDT
Created attachment 313191 [details]
/etc/init.d/psacct returned exit code 3
Comment 7 Milos Malik 2008-08-01 07:30:26 EDT
Is it possible to display the exit code in the message window when the init
script fails?
Comment 8 Bug Zapper 2008-11-26 06:03:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Nils Philippsen 2008-12-01 08:30:24 EST
Current system-config-services doesn't display the output of the init scripts anymore, so this problem won't show up in system-config-services >= 0.99.x.
Comment 10 Bug Zapper 2009-01-09 01:42:25 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.